Get all suites
GET
/suitesfetch suite data
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, SuitesApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new SuitesApi(config);
const result = await api.getAllSuites({ "project": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/suites?token=$TESTCOLLAB_TOKEN&project=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
project |
query | number | Yes | Project ID |
_filter |
query | string | No | Stringified filter object (the filtering guide) |
Response
Section titled “Response”200 — Selected suite
| Field | Type | Required | Description |
|---|---|---|---|
[].id |
number | Yes | — |
[].title |
string | Yes | — |
[].description |
string | No | — |
[].parent_id |
number | No | — |
[].order |
number | No | — |
[].created_by |
number | No | — |
[].is_bdd_managed |
boolean | No | True when the suite is managed by BDD sync from a feature file in Git. |
[].is_reference |
boolean | No | Will be true only for links |
[].source_id |
number | No | Only for links - source entity ID |
[].source_project |
number | No | Only for links - source Project ID |
[].is_main_link |
boolean | No | Will be true only for top level link suite |
[]Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |